void printi(int val);

int main()
{
  unsigned char a;
  char b;
  int i;

  for (a = -80; (char)a <= 80; a += 40) {
    for (b = -80; b <= 80; b += 40) {
      i = a >  b; printi(i);
      i = a <  b; printi(i);
      i = a >= b; printi(i);
      i = a <= b; printi(i);
      i = a == b; printi(i);
      i = a != b; printi(i);
    }
  }

  return 0;
}
